
kernal = love.graphics.newPixelEffect[[

	extern vec2 pixel_size;
	extern mat3x3 ker;
	int ix = -1;
	int iy = -1;

	vec4 effect(vec4 color, Image tex, vec2 tc, vec2 pixel_coords)
	{
    vec4 vert  = vec4(0.0);
	vec4 horiz = vec4(0.0);

	for( int j = 0; j < 3; j++ ){
		for( int i = 0; i < 3 ; i++ ){
			vert  +=  ker[j][i] * Texel(tex, tc + vec2(ix*pixel_size.x, iy*pixel_size.y));
			horiz +=  ker[j][i] * Texel(tex, tc + vec2(ix*pixel_size.x, iy*pixel_size.y));
			ix = ix + 1;
			}
		iy = iy + 1;
		ix = -1;
		}

    return vec4((horiz+vert).rgb * .5 + vec3(.5), 1.0);
	} ]]
